# Copyright 2019 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Build the manager binary
FROM openshift/golang-builder:1.10 AS builder
ENV SOURCE_GIT_COMMIT=4986149e7292b524826605c4dd91e87fcfd4ae9f SOURCE_DATE_EPOCH=1557159548 BUILD_VERSION=v4.1.7 SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-azure SOURCE_GIT_TAG=v0.1.0-alpha.3-41-g4986149 BUILD_RELEASE=201907171753

# Copy in the go src
WORKDIR /go/src/sigs.k8s.io/cluster-api-provider-azure
COPY pkg/    pkg/
COPY cmd/    cmd/
COPY vendor/ vendor/

# Build
RUN CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -a -o ./machine-controller-manager sigs.k8s.io/cluster-api-provider-azure/cmd/manager
RUN CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -a -o ./manager ./vendor/github.com/openshift/cluster-api/cmd/manager

# Copy the controller-manager into a thin image
FROM openshift/ose-base:v4.1.7.20190717.175347
ENV SOURCE_GIT_COMMIT=4986149e7292b524826605c4dd91e87fcfd4ae9f SOURCE_DATE_EPOCH=1557159548 BUILD_VERSION=v4.1.7 SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-azure SOURCE_GIT_TAG=v0.1.0-alpha.3-41-g4986149 BUILD_RELEASE=201907171753
WORKDIR /
COPY --from=builder /go/src/sigs.k8s.io/cluster-api-provider-azure/manager .
COPY --from=builder /go/src/sigs.k8s.io/cluster-api-provider-azure/machine-controller-manager .

LABEL \
        com.redhat.component="ose-azure-machine-controllers-container" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-api-provider-azure/commit/4986149e7292b524826605c4dd91e87fcfd4ae9f" \
        version="v4.1.7" \
        name="openshift/ose-azure-machine-controllers" \
        io.openshift.build.commit.id="4986149e7292b524826605c4dd91e87fcfd4ae9f" \
        release="201907171753" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-api-provider-azure"

